GEOS 3.4.2

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
geos::geomgraph::EdgeIntersection Class Reference

`#include <EdgeIntersection.h>`

## Public Member Functions
| EdgeIntersection (const geom::Coordinate &newCoord, int newSegmentIndex, double newDist)
bool | isEndPoint (int maxSegmentIndex) const
const geom::Coordinate & | getCoordinate () const
int | getSegmentIndex () const
double | getDistance () const

## Public Attributes
geom::Coordinate | coord
double | dist
int | segmentIndex

## Detailed Description

Represents a point on an edge which intersects with another edge.

The intersection may either be a single point, or a line segment (in which case this point is the start of the line segment) The intersection point must be precise.

The documentation for this class was generated from the following file:

- EdgeIntersection.h